<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Resources\CategoryResource;
use App\Repositories\CategoryRepository;

class CategoryController extends Controller
{
    public function __construct(private CategoryRepository $categoryRepo)
    {}

    public function index()
    {
        $categories = $this->categoryRepo->getByActive();

        return $this->json('category list', [
            'category' => CategoryResource::collection($categories)
        ]);
    }
}
