<?php

namespace App\Http\Resources;

use App\Models\Subscription;
use App\Models\WebSetting;
use App\Repositories\CategoryRepository;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

class AlbamResource extends JsonResource
{

    public function toArray($request)
    {
        $user = Auth::guard('api')->user();
        $has_subscribed = false;
        if ($user) {
            $subscription = Subscription::hasSubscribed($user);
            $websetting = WebSetting::first();
            $has_subscribed = $websetting?->subscription ? true : ($subscription ? true : false);
        }
        return [
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'thumbnail' => $this->thumbnail,
            'is_paid' => $has_subscribed ? false : $this->is_paid,
            'category' => CategoryResource::make($this->categories()->first())
        ];
    }
}
