<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row h-100vh align-items-center">
            <div class="col-md-10 col-lg-9 col-sm-12 m-auto">
                <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                <form action="<?php echo e(route('webSetting.update', $websetting?->id)); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php endif; ?>
                    <div class="card shadow-sm">
                        <div class="card-header bg-custom py-2">
                            <h3 class="text-white m-0">Admin Configuration</h3>
                        </div>
                        <div class="card-body pb-3">
                            <div class="row">
                                <div class="col-md-6 border-right">
                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">App Name <span
                                                class="text-danger">*</span></label>
                                        <input type="text" name="name" class="form-control"
                                            value="<?php echo e($websetting?->name); ?>">
                                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <small class="text-danger d-block"><?php echo e($message); ?></small>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>

                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">App title </label>
                                        <input type="text" name="title" class="form-control"
                                            value="<?php echo e($websetting?->title); ?>" required>
                                    </div>

                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">App Logo</label>
                                        <input type="file" name="logo" class="form-control-file" accept="image/png"
                                            onchange="previewLogoFile(event)">
                                            <?php $__errorArgs = ['logo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="text-danger d-block"><?php echo e($message); ?></span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        <img class="mt-1" src="<?php echo e($websetting?->logoPath ??  asset('web/images/logo.png')); ?>" alt="" id="logoPreview"
                                            height="50">
                                    </div>

                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">Login page subtitle <span class="text-danger">*</span></label>
                                        <textarea name="subtitle" class="form-control" rows="2" placeholder="Login page subtitle "><?php echo e($websetting?->subtitle); ?></textarea>
                                    </div>

                                    <div>
                                        <span class="">Subscription Enable/Disable</span>
                                    </div>
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a class="subscriptionBtn border <?php echo e($websetting?->subscription ? '' : 'border-custom'); ?>" href="<?php echo e(route('webSetting.toggle',$websetting?->id)); ?>">
                                    <?php else: ?>
                                        <a class="subscriptionBtn border <?php echo e($websetting?->subscription ? '' : 'border-custom'); ?>" href="javascript:void(0)">
                                    <?php endif; ?>
                                        <h4 class="m-0">Subscription <?php echo e($websetting?->subscription ? 'Disable' : 'Enable'); ?></h4>

                                        <div class="checkBox">
                                            <div class="dot"></div>
                                        </div>
                                        <?php if(!$websetting?->subscription): ?>
                                        <div class="checkIcon">
                                            <img class="icon" src="<?php echo e(asset('images/check.svg')); ?>">
                                        </div>
                                        <?php endif; ?>
                                    </a>
                                </div>
                                <div class="col-md-6">

                                    <div class="mb-3">
                                        <label class="mb-0 text-dark">favicon</label>
                                        <input type="file" name="fav_icon" class="form-control-file" accept="image/png"
                                            onchange="previewFavIco(event)">
                                            <?php $__errorArgs = ['fav_icon'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="text-danger d-block"><?php echo e($message); ?></span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        <img class="mt-1" src="<?php echo e($websetting?->favIconPath ?? asset('web/images/fav_icon.png')); ?>" alt="" id="favionPreview"
                                            height="40">
                                    </div>

                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">Address <span class="text-danger">*</span></label>
                                        <textarea name="address" class="form-control" rows="3" placeholder="Address"><?php echo e($websetting?->address); ?></textarea>
                                    </div>

                                    <div class="mb-2">
                                        <label class="mb-0 text-dark">Mobile Number</label>
                                        <input type="text" name="mobile" class="form-control"
                                            value="<?php echo e($websetting?->mobile); ?>" placeholder="Enter Mobile Number">
                                    </div>

                                    <div class="">
                                        <label class="mb-0 text-dark">Email Address</label>
                                        <input type="text" name="email" class="form-control"
                                            value="<?php echo e($websetting?->email); ?>" placeholder="Enter Email Address">
                                    </div>

                                    <div class="mt-3">
                                        <span class="">Ads Enable/Disable</span>
                                    </div>
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a class="subscriptionBtn border <?php echo e($websetting?->ads_show ? 'border-custom' : ''); ?>" href="<?php echo e(route('webSetting.toggle.ads',$websetting?->id)); ?>">
                                    <?php else: ?>
                                        <a class="subscriptionBtn border <?php echo e($websetting?->ads_show ? 'border-custom' : ''); ?>" href="javascript:void(0)">
                                    <?php endif; ?>
                                        <h4 class="m-0">Ads Show <?php echo e($websetting?->ads_show ? 'Enable' : 'Disable'); ?></h4>

                                        <div class="checkBox">
                                            <div class="dot"></div>
                                        </div>
                                        <?php if($websetting?->ads_show): ?>
                                        <div class="checkIcon">
                                            <img class="icon" src="<?php echo e(asset('images/check.svg')); ?>">
                                        </div>
                                        <?php endif; ?>
                                    </a>

                                </div>
                            </div>

                        </div>
                        <div class="card-footer bg-white py-3 ">
                            <div class="d-flex justify-content-end">
                                <button class="btn btn-lg btn-custom rounded-0">Save And Update</button>
                            </div>
                        </div>
                    </div>
                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?></form><?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        var previewLogoFile = function(event) {
            var reader = new FileReader();
            reader.onload = function() {
                var output = document.getElementById('logoPreview');
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        };

        var previewFavIco = function(event) {
            var reader = new FileReader();
            reader.onload = function() {
                var output = document.getElementById('favionPreview');
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        };

        var previewSignature = function(event) {
            var reader = new FileReader();
            reader.onload = function() {
                var output = document.getElementById('signaturePreview');
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        };
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arafat/Projects/maditam-core/resources/views/web-setting.blade.php ENDPATH**/ ?>