<?php $__env->startPush('title'); ?>
    <div class="page-title-box">
        <h4 class="page-title">Categories</h4>
        <ol class="breadcrumb">
            <li class="breadcrumb-item active">All categorys list</li>
        </ol>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="mb-3 d-flex justify-content-between align-items-center">
        <form action="" method="GET" class="d-flex" style="gap:4px">
            <input type="search" name="search" class="form-control" placeholder="Search by category name" value="<?php echo e(request()->search); ?>" style="height: 40px;min-width: 220px" />
            <button class="btn btn-primary btn-sm rounded"><i class="fa fa-search"></i> Search</button>
        </form>
        <a href="<?php echo e(route('category.create')); ?>" class="btn btn-custom">
            <i class="fa fa-plus"></i> Create New
        </a>
    </div>
    <div class="card mb-2">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th scope="col">Photo</th>
                            <th class="text-center">Icon</th>
                            <th scope="col">Name</th>
                            <th scope="col">Description</th>
                            <th class="text-center">Status</th>
                            <th class="text-center">Albam</th>
                            <th class="text-center">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td class="text-center">
                                    <img src="<?php echo e($category->thumbnail); ?>" alt="" width="70" height="70" loading="lazy">
                                </td>
                                <td class="text-center">
                                    <img src="<?php echo e($category->iconPath); ?>" alt="" width="50" height="50" loading="lazy">
                                </td>
                                <td><?php echo e($category->name); ?></td>
                                <td><?php echo e($category->description); ?></td>
                                <td class="text-center">
                                    <label class="switch">
                                        <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                            <a href="<?php echo e(route('category.status.toggle', $category->id)); ?>">
                                            <?php else: ?>
                                                <a href="javascript:void(0)">
                                                <?php endif; ?>
                                                <input type="checkbox" <?php echo e($category->status ? 'checked' : ''); ?>>
                                                <span class="slider round"></span>
                                            </a>
                                    </label>
                                </td>
                                <td class="text-center">
                                    <button class="btn btn-info btn-sm" data-toggle="modal"
                                        data-target="#categoryAlbamId<?php echo e($category->id); ?>">Albums</button>
                                </td>
                                <td style="min-width: 145px">
                                    <div class="d-flex flex-wrap justify-content-center gap-4">
                                        <a href="<?php echo e(route('category.edit', $category->id)); ?>" class="btn btn-info btn-sm"><i
                                                class="fa fa-edit"></i></a>
                                        <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'admin|root')): ?>
                                            <a href="<?php echo e(route('category.delete', $category->id)); ?>"
                                                class="btn btn-danger btn-sm delete-confirm"><i class="fa fa-trash"></i></a>
                                        <?php else: ?>
                                            <a href="javascript:void(0)" class="btn btn-danger btn-sm delete-confirm"><i
                                                    class="fa fa-trash"></i></a>
                                        <?php endif; ?>
                                        <a href="<?php echo e(route('category.tree', $category->id)); ?>"
                                            class="btn btn-secondary btn-sm">
                                            <i class="fa fa-tree"></i>
                                        </a>
                                    </div>
                                </td>
                            </tr>

                            <!-- Modal -->
                            <div class="modal fade" id="categoryAlbamId<?php echo e($category->id); ?>">
                                <div class="modal-dialog modal-dialog-scrollable modal-lg">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">Albam list</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="d-flex flex-column" style="gap: 8px">

                                                <div class="ModalColumn">
                                                    <div>Thumbnail</div>
                                                    <span>Name</span>
                                                </div>

                                                <?php $__currentLoopData = $category->albams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $albam): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="ModalColumn">
                                                        <div>
                                                            <img src="<?php echo e($albam->thumbnail); ?>" alt="thumbnail"
                                                                width="50" loading="lazy">
                                                        </div>
                                                        <span><?php echo e($albam->name); ?></span>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="7" class="text-center"> No data found</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="d-flex justify-content-end">
            <?php echo e($categories->withQueryString()->links()); ?>

        </div>
    <?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arafat/Projects/maditam-core/resources/views/category/index.blade.php ENDPATH**/ ?>