<?php $__env->startPush('title'); ?>
    <div class="page-title-box">
        <h4 class="page-title">Dashboard</h4>
        <ol class="breadcrumb">
            <li class="breadcrumb-item active">Welcome to Maditam admin panel !</li>
        </ol>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">

        <div class="col-sm-6 col-lg-4 col-xl-3 animate__animated animate__fadeInLeftBig">
            <div class="mini-stat clearfix bx-shadow">
                <span class="mini-stat-icon bg-danger"><i class="fa fa-user"></i></span>
                <div class="mini-stat-info text-end text-muted">
                    <span class="countfect text-red" data-num="<?php echo e($users); ?>"></span>
                    Total Users
                </div>
            </div>
        </div>

        <div class="col-sm-6 col-lg-4 col-xl-3 animate__animated animate__fadeInRight">
            <div class="mini-stat clearfix bx-shadow">
                <span class="mini-stat-icon bg-purple"><i class="fi-layers"></i></span>
                <div class="mini-stat-info text-end text-muted">
                    <span class="countfect text-purple" data-num="<?php echo e($categories); ?>"></span>
                    Total Categories
                </div>
            </div>
        </div>

        <div class="col-sm-6 col-lg-4 col-xl-3 animate__animated animate__fadeInRightBig">
            <div class="mini-stat clearfix bx-shadow">
                <span class="mini-stat-icon bg-primary"><i class="fi-command"></i></span>
                <div class="mini-stat-info text-end text-muted">
                    <span class="countfect text-green" data-num="<?php echo e($albams); ?>"></span>
                    Total Albams
                </div>
            </div>
        </div>

        <div class="col-sm-6 col-lg-4 col-xl-3 animate__animated animate__fadeInRightBig">
            <div class="mini-stat clearfix bx-shadow">
                <span class="mini-stat-icon bg-info"><i class="fi-bar-graph-2"></i></span>
                <div class="mini-stat-info text-end text-muted">
                    <span class="countfect text-info" data-num="<?php echo e($playLists); ?>"></span>
                    Total Playlists
                </div>
            </div>
        </div>

        <div class="col-xl-6 mb-3 animate__animated animate__fadeInUp animate__delay-1s">
            <div class="card rounded-8">
                <div class="card-body">
                    <div class="title d-flex justify-content-between align-items-center">
                        <h3 class="m-0">Latest Users</h3>
                        <a href="<?php echo e(route('user.index')); ?>">View All</a>
                    </div>

                    <div class="table-responsive mt-3">
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>SL</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $latest_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($key + 1); ?></td>
                                        <td><?php echo e($user->name); ?></td>
                                        <td><?php echo e($user->email); ?></td>
                                        <td>
                                            <img src="<?php echo e($user->thumbnail); ?>" alt="" width="40" height="40">
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-xl-6 mb-3 animate__animated animate__fadeInUp animate__delay-2s">
            <div class="card rounded-8">
                <div class="card-body">
                    <div class="title d-flex justify-content-between align-items-center">
                        <h3 class="m-0">Latest Categories</h3>
                        <a href="<?php echo e(route('category.index')); ?>">View All</a>
                    </div>

                    <div class="table-responsive mt-3">
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Thumbnail</th>
                                    <th>Icon</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $latest_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($category->name); ?></td>
                                        <td>
                                            <img src="<?php echo e($category->thumbnail); ?>" alt="" width="50" height="50">
                                        </td>
                                        <td>
                                            <img src="<?php echo e($category->iconPath); ?>" alt="" width="40" height="40">
                                        </td>
                                        <td>
                                            <?php if($category->status): ?>
                                                <span class="badge badge-pill badge-success">Active</span>
                                            <?php else: ?>
                                                <span class="badge badge-pill badge-danger">inactive</span>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-12 mb-3 animate__animated animate__fadeInUp animate__delay-2s">
            <div class="card rounded-8">
                <div class="card-body">
                    <div class="title d-flex justify-content-between align-items-center">
                        <h3 class="m-0">Latest Playlist</h3>
                        <a href="<?php echo e(route('playlist.index')); ?>">View All</a>
                    </div>

                    <div class="table-responsive mt-3">
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Duration</th>
                                    <th>Audio File</th>
                                    <th>Thumbnail</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $latest_playlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $playlist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($playlist->name); ?></td>
                                        <td><?php echo e($playlist->duration); ?></td>
                                        <td>
                                            <audio controls>
                                                <source src="<?php echo e($playlist->audioFile); ?>">
                                            </audio>
                                        </td>
                                        <td>
                                            <img src="<?php echo e($playlist->thumbnail); ?>" alt="" width="50" height="50">
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        var js = <?php echo json_encode($week_number, 15, 512) ?>;
        var weekLable = <?php echo json_encode($week_category, 15, 512) ?>;
        var options = {
            series: [{
                name: 'Users',
                data: js,
                color: '#3fb0a5'
            }],
            chart: {
                height: 320,
                type: 'area',
                toolbar: {
                    show: false
                }
            },
            dataLabels: {
                enabled: false
            },
            stroke: {
                curve: 'smooth'
            },
            xaxis: {
                type: 'string',
                categories: weekLable
            },
            tooltip: {
                x: {
                    format: 'dd/MM/yy'
                },
            },
        };

        var chart = new ApexCharts(document.querySelector("#dailyUsers"), options);
        chart.render();
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arafat/Projects/maditam-core/resources/views/admin/index.blade.php ENDPATH**/ ?>