<?php
    $websetting = App\Models\WebSetting::first();
?>
<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Fav icon -->
    <link rel="shortcut icon" type="image/png" sizes="16x16" href="<?php echo e($websetting?->fav_icon_path ?? asset('web/images/fav_icon.png')); ?>">
    <!-- custome css -->
    <link rel="stylesheet" href="<?php echo e(asset('web/css/login.css')); ?>">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo e(asset('web/css/bootstrap.min.css')); ?>">
    <!-- Font awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <title>Log In</title>
</head>

<body>
    <section class="login-section">
        <div class="card loginCard">
            <div class="card-body">
                <form method="POST" action="<?php echo e(route('login')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="page-content text-center">
                        <h2 class="pageTitle">Admin Login</h2>
                        <div class="logo">
                            <img src="<?php echo e($websetting?->logoPath ?? asset('web/images/logo.png')); ?>" alt="logo">
                        </div>
                        <p class="pagePera">
                            <?php echo e($websetting->subtitle ?? 'Hey, Enter your details to get login to your admin account'); ?>

                        </p>
                    </div>

                    <?php
                        $email = Cookie::get('email');
                        $password = Cookie::get('password');
                    ?>

                    <div class="mb-4">
                        <label class="mb-0">Email <span class="text-danger">*</span></label>
                        <input id="email" type="text" name="email"
                            class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                            value="<?php echo e($email ?? old('email')); ?>" placeholder="Enter email address">
                        <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>

                    <div class="form-outline form-white mb-3">
                        <label class="mb-0">Password <span class="text-danger">*</span></label>
                        <div class="position-relative passwordInput">
                            <input id="password" type="password" name="password"
                                class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e($password); ?>"
                                placeholder="Enter Password">
                            <span class="eye" onclick="showHidePassword()">
                                <i class="fa fa-eye-slash fa-eye" id="togglePassword"></i>
                            </span>
                        </div>
                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="d-flex justify-content-between flex-wrap">
                        <div class="form-check checkbox">
                            <input class="form-check-input" id="check1" type="checkbox" name="remember"
                                <?php echo e($email ? 'checked' : ''); ?>>
                            <label class="form-check-label" for="check1">Remember password</label>
                        </div>
                        <?php if(app()->environment('local')): ?>
                            <span>
                                <button class="flex-shrink-0 btn btn-outline-primary btn-sm" type="button"
                                    onclick="setLoginCredential()">Set visitor</button>
                            </span>
                        <?php endif; ?>
                    </div>
                    <div>
                        <button class="btn loginButton py-2" type="submit">Login</button>
                    </div>
                </form>
            </div>
        </div>
    </section>

    <script>
        function showHidePassword() {
            const toggle = document.getElementById("togglePassword");
            const password = document.getElementById("password");

            // toggle the type attribute
            const type = password.getAttribute("type") === "password" ? "text" : "password";
            password.setAttribute("type", type);
            // toggle the icon
            toggle.classList.toggle("fa-eye-slash");
        }

        const setLoginCredential = function() {
            var password = document.getElementById("password");
            var email = document.getElementById("email");

            email.value = 'visitor@maditam.com';
            password.value = 'secret@1234';
        }
    </script>
</body>

</html>
<?php /**PATH /home/arafat/Projects/maditam-core/resources/views/auth/login.blade.php ENDPATH**/ ?>