<?php $__env->startPush('title'); ?>
    <div class="page-title-box">
        <h4 class="page-title">albams</h4>
        <ol class="breadcrumb">
            <li class="breadcrumb-item active">All albams list</li>
        </ol>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="mb-2 d-flex justify-content-between align-items-center">
        <form action="" method="GET" class="d-flex" style="gap:4px">
            <input type="search" name="search" class="form-control" placeholder="Search by albam name"
                value="<?php echo e(request()->search); ?>" style="height: 40px;min-width: 220px" />
            <button class="btn btn-primary btn-sm rounded"><i class="fa fa-search"></i> Search</button>
        </form>
        <a href="<?php echo e(route('albam.create')); ?>" class="btn btn-custom"><i class="fa fa-plus"></i> Create New</a>
    </div>

    <div class="card card-body mb-2">
        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th scope="col">Photo</th>
                        <th scope="col">Name</th>
                        <th scope="col">Description</th>
                        <th class="text-center">Status</th>
                        <th class="text-center">Paid</th>
                        <th class="text-center">Playlist</th>
                        <th class="text-center">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $albams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $albam): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td class="text-center">
                                <img src="<?php echo e($albam->thumbnail); ?>" alt="" width="70" height="70"
                                    loading="lazy">
                            </td>
                            <td><?php echo e($albam->name); ?></td>
                            <td style="max-width: 25em"><?php echo e($albam->description); ?></td>
                            <td class="text-center">
                                <label class="switch">
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a href="<?php echo e(route('albam.status.toggle', $albam->id)); ?>">
                                        <?php else: ?>
                                            <a href="javascript:void(0)">
                                            <?php endif; ?>
                                            <input type="checkbox" <?php echo e($albam->status ? 'checked' : ''); ?>>
                                            <span class="slider round"></span>
                                        </a>
                                </label>
                            </td>
                            <td class="text-center">
                                <label class="switch">
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a href="<?php echo e(route('albam.paid.toggle', $albam->id)); ?>">
                                        <?php else: ?>
                                            <a href="javascript:void(0)">
                                            <?php endif; ?>
                                            <input type="checkbox" <?php echo e($albam->is_paid ? 'checked' : ''); ?>>
                                            <span class="slider round"></span>
                                        </a>
                                </label>
                            </td>
                            <td class="text-center">
                                <button class="btn btn-info btn-sm" data-toggle="modal"
                                    data-target="#albamPlaylistId<?php echo e($albam->id); ?>">Playlists</button>
                            </td>
                            <td style="min-width: 145px">
                                <div class="d-flex flex-wrap justify-content-center gap-4">
                                    <button class="btn btn-info btn-sm" data-toggle="modal" data-target="#categoryId<?php echo e($albam->id); ?>">Categories</button>
                                    <a href="<?php echo e(route('albam.edit', $albam->id)); ?>" class="btn btn-info btn-sm">
                                        <i class="fa fa-edit"></i>
                                    </a>
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a href="<?php echo e(route('albam.delete', $albam->id)); ?>"
                                            class="btn btn-danger btn-sm delete-confirm">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    <?php else: ?>
                                        <a href="javascript:void(0)" class="btn btn-danger btn-sm delete-confirm">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    <?php endif; ?>
                                    <a href="<?php echo e(route('albam.tree', $albam->id)); ?>" class="btn btn-secondary btn-sm">
                                        <i class="fa fa-tree"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>

                        <!-- Modal -->
                        <div class="modal fade" id="albamPlaylistId<?php echo e($albam->id); ?>">
                            <div class="modal-dialog modal-dialog-scrollable modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Play list</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="d-flex flex-column" style="gap: 8px">

                                            <div class="ModalColumn justify-content-between">
                                                <span>Thumbnail</span>
                                                <div>Name</div>
                                                <span>Duration</span>
                                            </div>

                                            <?php $__currentLoopData = $albam->playlists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $playlist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="ModalColumn justify-content-between">
                                                    <img src="<?php echo e($playlist->thumbnail); ?>" alt="thumbnail" width="50"
                                                        loading="lazy">
                                                    <div><?php echo e($playlist->name); ?></div>
                                                    <span><?php echo e($playlist->duration); ?></span>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Modal -->
                        <div class="modal fade" id="categoryId<?php echo e($albam->id); ?>">
                            <div class="modal-dialog modal-dialog-scrollable modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Category list</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="d-flex flex-column" style="gap: 8px">

                                            <div class="ModalColumn justify-content-between">
                                                <span>Thumbnail</span>
                                                <div>Name</div>
                                            </div>

                                            <?php $__currentLoopData = $albam->categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="ModalColumn justify-content-between">
                                                    <img src="<?php echo e($category->thumbnail); ?>" alt="thumbnail" width="50"
                                                        loading="lazy">
                                                    <div><?php echo e($category->name); ?></div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="d-flex justify-content-end">
        <?php echo e($albams->withQueryString()->links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arafat/Projects/maditam-core/resources/views/album/index.blade.php ENDPATH**/ ?>