<?php $__env->startPush('title'); ?>
    <div class="page-title-box">
        <h4 class="page-title">playlists</h4>
        <ol class="breadcrumb">
            <li class="breadcrumb-item active">All playlists list</li>
        </ol>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="mb-2 d-flex justify-content-between align-items-center">
        <form action="" method="GET" class="d-flex" style="gap:4px">
            <input type="search" name="search" class="form-control" placeholder="Search by playlist name" value="<?php echo e(request()->search); ?>" style="height: 41px;min-width: 220px" />
            <button class="btn btn-primary btn-sm rounded"><i class="fa fa-search"></i> Search</button>
        </form>
        <a href="<?php echo e(route('playlist.create')); ?>" class="btn btn-custom">
            <i class="fa fa-plus"></i> Create New
        </a>
    </div>

    <div class="card card-body mb-2">
        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th scope="col">Name</th>
                        <th scope="col">Duration</th>
                        <th class="text-center">Status</th>
                        <th class="text-center">Paid</th>
                        <th class="text-center">Albams</th>
                        <th class="text-center">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $playlists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $playlist): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($playlist->name); ?></td>
                            <td><?php echo e($playlist->duration); ?>min</td>
                            <td class="text-center">
                                <label class="switch">
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a href="<?php echo e(route('playlist.status.toggle', $playlist->id)); ?>">
                                    <?php else: ?>
                                        <a href="javascript:void(0)">
                                    <?php endif; ?>
                                        <input type="checkbox" <?php echo e($playlist->status ? 'checked' : ''); ?>>
                                        <span class="slider round"></span>
                                    </a>
                                </label>
                            </td>
                            <td class="text-center">
                                <label class="switch">
                                    <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                        <a href="<?php echo e(route('playlist.paid.toggle', $playlist->id)); ?>">
                                    <?php else: ?>
                                        <a href="javascript:void(0)">
                                    <?php endif; ?>
                                        <input type="checkbox" <?php echo e($playlist->is_paid ? 'checked' : ''); ?>>
                                        <span class="slider round"></span>
                                    </a>
                                </label>
                            </td>
                            <td class="text-center" style="width: 110px">
                               <button class="btn btn-primary btn-sm" data-toggle="modal"
                               data-target="#albamId<?php echo e($playlist->id); ?>">Albums</button>
                            </td>
                            <td style="width: 220px">
                                <div class="d-flex flex-wrap justify-content-between gap-4">
                                <a href="<?php echo e(route('playlist.show', $playlist->id)); ?>" class="btn btn-primary btn-sm "><i class="fa fa-eye"></i></a>
                                <a href="<?php echo e(route('playlist.edit', $playlist->id)); ?>" class="btn btn-info btn-sm"><i class="fa fa-edit"></i></a>
                                <a href="<?php echo e(route('playlist.readmore', $playlist->id)); ?>" class="btn btn-success btn-sm"><i class="fa fa-book"></i></a>
                                 <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'root|admin')): ?>
                                    <a href="<?php echo e(route('playlist.delete', $playlist->id)); ?>" class="btn btn-danger btn-sm delete-confirm"><i class="fa fa-trash"></i></a>
                                 <?php else: ?>
                                    <a href="javascript:void(0)" class="btn btn-danger btn-sm delete-confirm"><i class="fa fa-trash"></i></a>
                                 <?php endif; ?>
                                </div>
                            </td>
                        </tr>
                        <!-- Modal -->
                        <div class="modal fade" id="albamId<?php echo e($playlist->id); ?>">
                            <div class="modal-dialog modal-dialog-scrollable modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Album list</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="d-flex flex-column" style="gap: 8px">

                                            <div class="ModalColumn">
                                                <div>Thumbnail</div>
                                                <span>Name</span>
                                            </div>

                                            <?php $__empty_1 = true; $__currentLoopData = $playlist->albams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $albam): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <div class="ModalColumn">
                                                    <div>
                                                        <img src="<?php echo e($albam->thumbnail); ?>" alt="thumbnail"
                                                            width="50" loading="lazy"/>
                                                    </div>
                                                    <span><?php echo e($albam->name); ?></span>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <div class="ModalColumn">
                                                <div class="text-muted">No data found</div>
                                            </div>
                                            <?php endif; ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="d-flex justify-content-end">
        <?php echo e($playlists->withQueryString()->links()); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arafat/Projects/maditam-core/resources/views/playlist/index.blade.php ENDPATH**/ ?>